import { select, range, scaleOrdinal } from 'd3';

// const svg = select('svg');

// const width = parseFloat(svg.attr('width'));
// const height = +svg.attr('height');



const radiusScale = scaleOrdinal()
  .domain(['apple', 'lemon'])
  .range([50, 30]);


const xPosition = (d,i) => i * 120 + 60;

export const colorLegend = ( selection, props ) => {
  
  
  const { fruits, height } = props
  
  const bowl = selection.selectAll('rect')
    .data([null])
    .enter().append('rect')
      .attr('y', 110)
      .attr('width', 600)
      .attr('height', 300)
      .attr('rx', 300 / 2)

  const groups = selection.selectAll('g')
    .data(fruits, d => d.id);
  
  const groupsEnter = groups.enter().append('g');
  
  groupsEnter
    .merge(groups)
      .attr('transform', (d,i) => 
                           `translate(${i * 120 + 60}, ${height / 2})`
           );
    
  groups.exit().remove();
  
  // const circles = groups.select('circle')
  
  groupsEnter
    .append('circle')
      .attr('r', 0)
    .merge(groups.select('circle'))
      .attr('fill', d => colorScale(d.type))
    .transition().duration(1000)
      .attr('r', d => radiusScale(d.type));
    
  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d.type)
      .attr('y', 80)
      .attr('fill', 'white')
    
};
